Bug 1575774 - Missing mingw packages for webkitgtk4
Summary: Missing mingw packages for webkitgtk4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 21:19 UTC by Dov Grobgeld
Modified: 2018-06-08 02:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 02:50:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Dov Grobgeld 2018-05-07 21:19:11 UTC
Description of problem:

I'm trying to cross compile a package using webkitgtk. For my use case I'm not too concerned about security problems with older webkitgtk, but I certainly don't mind using webgtk4. The problem is that there is currently no way to cross compile since the native development package is using webgtk4, whereas the mingw packages are using webgtk3. Thus there is only a webgtk4.pc file, but no webgtk3.pc package nor include files for webgtk3. This makes it impossible to cross compile a gtk program using webgtk for Windows.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michael Catanzaro 2018-06-08 02:50:29 UTC
WebKitGTK+ doesn't work on Windows since 2014. At this point it's clear that nobody is interested in making it work. Sorry.


Note You need to log in before you can comment on or make changes to this bug.